Debian Bug report logs - #441361
no support for NFS (v3) mount over IPv6?

version graph

Package: nfs-common; Maintainer for nfs-common is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-common is src:nfs-utils.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Sun, 9 Sep 2007 07:12:02 UTC

Severity: wishlist

Tags: ipv6, upstream

Found in version nfs-utils/1:1.1.1~git-20070709-3

Fixed in version nfs-utils/1:1.2.3-1

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: no support for NFS (v3) mount over IPv6?
Date: Sun, 9 Sep 2007 00:11:41 -0700
Package: nfs-common
Version: 1:1.1.1~git-20070709-3
Severity: important
Tags: ipv6

After rolling out IPv6 on my home network, I've taken a peek at whether I
could switch my NFS shares to IPv6 as well, which would let me simplify my
DNS resolution a bit.

But mount.nfs doesn't find AAAA records for hosts, and it also can't parse
numeric IPv6 addresses on account of all the colons.

A similar problem affects exportfs on the server side:

  exportfs: invalid netmask `48' for 2001:4830:1244::

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 441361@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Steve Langasek <vorlon@debian.org>, 441361@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#441361: no support for NFS (v3) mount over IPv6?
Date: Sun, 9 Sep 2007 09:49:55 +0200
severity 441361 wishlist
thanks

On Sun, Sep 09, 2007 at 12:11:41AM -0700, Steve Langasek wrote:
> After rolling out IPv6 on my home network, I've taken a peek at whether I
> could switch my NFS shares to IPv6 as well, which would let me simplify my
> DNS resolution a bit.
> 
> But mount.nfs doesn't find AAAA records for hosts, and it also can't parse
> numeric IPv6 addresses on account of all the colons.

Well, the kernel doesn't support NFS over IPv6. There's work being done in
that direction (for instance, very recently the RPC client got IPv6 support,
and both the NFS client and server is slowly being moved to a
transport-independent system, the "transport switch"), but you simply cannot
expect this to work on Linux at this stage. :-/

Believe me, when upstream adds support, Debian will be among the first
distributions to support it, but for now, I cannot really see how this should
be a bug of severity important.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Severity set to `wishlist' from `important' Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. (Sun, 09 Sep 2007 07:51:32 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Peter Eisentraut <peter_e@gmx.net> to control@bugs.debian.org. (Thu, 03 Apr 2008 15:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. (Sat, 08 Nov 2008 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 08 Nov 2008 16:30:04 GMT) Full text and rfc822 format available.

Message #19 received at 441361@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Steve Langasek <vorlon@debian.org>, 441361@bugs.debian.org
Subject: Re: Bug#441361: no support for NFS (v3) mount over IPv6?
Date: Sat, 8 Nov 2008 17:26:25 +0100
On Sun, Sep 09, 2007 at 12:11:41AM -0700, Steve Langasek wrote:
> After rolling out IPv6 on my home network, I've taken a peek at whether I
> could switch my NFS shares to IPv6 as well, which would let me simplify my
> DNS resolution a bit.
> 
> But mount.nfs doesn't find AAAA records for hosts, and it also can't parse
> numeric IPv6 addresses on account of all the colons.

For the bug reference, preliminary IPv6-supporting packages (client side
only) are available at:

  http://storage.sesse.net/nfs-ipv6/

I tested with 2.6.26 (works with NFSv3, but not NFSv4) and 2.6.28-rc3 (works
with both), against a Solaris 10 server.

I have no idea when upstream plans to incorporate this support, but I guess
it's a possible target for squeeze.

/* Steinar */
-- 
Homepage: http://www.sesse.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. (Wed, 04 Nov 2009 19:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 04 Nov 2009 19:36:06 GMT) Full text and rfc822 format available.

Message #24 received at 441361@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@main.uusia.org>
Cc: 441361@bugs.debian.org, Ivan Shmakov <oneingray@gmail.com>
Subject: Re: current state of IPv6 support in Debian
Date: Thu, 05 Nov 2009 01:19:52 +0600
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.devel.ipv6 as well.

>>>>> "IS" == Ivan Shmakov <ivan@main.uusia.org> writes:

 IS> Well, a trivial change (below) has seemingly made rpcbind
 IS> installable and Bug#544567 be worked-around.  But I still have no
 IS> clue what should be the proper fix?

	Given that I now have rpcbind running, I wonder, what should be
	done for nfs-utils to support NFS over IPv6 as well?

	Is it just a matter of adding --enable-ipv6 and --enable-tirpc
	to the configure command line?  (And if it's so, could someone
	with a Debian Squeeze at hand try building nfs-utils (1.2.0-4)
	changed as shown by the interdiff below?)

$ interdiff <(zcat .../pool/main/n/nfs-utils/nfs-utils_1.2.0-4.diff.gz) \
      <(zcat nfs-utils_1.2.0-4.is+0.2.diff.gz) 
diff -u nfs-utils-1.2.0/debian/rules nfs-utils-1.2.0/debian/rules
--- nfs-utils-1.2.0/debian/rules
+++ nfs-utils-1.2.0/debian/rules
@@ -23,6 +23,8 @@
 	dh_testdir
 	CFLAGS="$(CFLAGS)" ./configure \
 		--mandir='$${prefix}/share/man' \
+		--enable-ipv6 \
+		--enable-tirpc \
 		--with-tcp-wrappers
 	$(MAKE) $(MAKEFLAGS)
 	touch build-stamp
diff -u nfs-utils-1.2.0/debian/control nfs-utils-1.2.0/debian/control
--- nfs-utils-1.2.0/debian/control
+++ nfs-utils-1.2.0/debian/control
@@ -2,7 +2,7 @@
 Priority: standard
 Section: net
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 5), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev, libgssglue-dev, librpcsecgss-dev (>= 0.17), libblkid-dev, libkeyutils-dev, pkg-config, quilt (>= 0.40), libldap2-dev
+Build-Depends: debhelper (>= 5), libwrap0-dev, libevent-dev, libnfsidmap-dev, libkrb5-dev, libgssglue-dev, librpcsecgss-dev (>= 0.17), libblkid-dev, libkeyutils-dev, pkg-config, quilt (>= 0.40), libldap2-dev, libtirpc-dev
 Standards-Version: 3.8.1
 Homepage: http://nfs.sourceforge.net/
 
diff -u nfs-utils-1.2.0/debian/changelog nfs-utils-1.2.0/debian/changelog
--- nfs-utils-1.2.0/debian/changelog
+++ nfs-utils-1.2.0/debian/changelog
@@ -1,3 +1,16 @@
+nfs-utils (1:1.2.0-4.is+0.2) unstable; urgency=low
+
+  * Add --enable-tirpc to configure.
+  * Depend on libtirpc-dev.
+
+ -- Ivan Shmakov <ivan@main.uusia.org>  Thu, 05 Nov 2009 00:59:08 +0600
+
+nfs-utils (1:1.2.0-4.is+0.1) 1gray-misc; urgency=low
+
+  * Add --enable-ipv6 to configure.
+
+ -- Ivan Shmakov <ivan@main.uusia.org>  Thu, 05 Nov 2009 00:45:54 +0600
+
 nfs-utils (1:1.2.0-4) unstable; urgency=low
 
   * Removing myself from uploaders.

[...]

-- 
FSF associate member #7257




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. (Wed, 18 Nov 2009 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 18 Nov 2009 05:06:03 GMT) Full text and rfc822 format available.

Message #29 received at 441361@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@main.uusia.org>
Cc: 441361@bugs.debian.org, Ivan Shmakov <oneingray@gmail.com>
Subject: Re: current state of IPv6 support in Debian
Date: Wed, 18 Nov 2009 05:41:45 +0600
The following message is a courtesy copy of an article
that has been posted to gmane.linux.debian.devel.ipv6 as well.

>>>>> "IS" == Ivan Shmakov <ivan@main.uusia.org> writes:

[...]

 IS> Given that I now have rpcbind running, I wonder, what should be
 IS> done for nfs-utils to support NFS over IPv6 as well?

 IS> Is it just a matter of adding --enable-ipv6 and --enable-tirpc to
 IS> the configure command line?

[...]

	So far, I've worked around Bug#544567, built the nfs-utils
	package from Debian Squeeze with the change suggested above for
	Debian Lenny, and, finally, did:

users # apt-get install -V nfs-kernel-server=1:1.2.0-4.is+0.4~bpo50~is+0.1 
...
Setting up nfs-kernel-server (1:1.2.0-4.is+0.4~bpo50~is+0.1) ...

Starting NFS common utilities: statd.
Exporting directories for NFS kernel daemon....
Starting NFS kernel daemon: nfsd mountd.
users # exportfs
users # exportfs -o ro,all_squash \*:/var/public
users # mount -t nfs -o ro,nosuid,nodev users.test1.ipv6.uusia.org:/var/public /mnt/

	... And saw my linux.uml instance (as of user-mode-linux
	2.6.26-1um-2+15) go nuts!  But nevertheless, it doesn't complain
	on users.test1.ipv6.uusia.org having no IPv4 address anymore.

	(Looks like I'll have to do some testing under KVM instead.)

* See also

http://bugs.debian.org/441361
http://bugs.debian.org/544567
http://permalink.gmane.org/gmane.linux.debian.backports.general/5762

-- 
FSF associate member #7257




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#441361; Package nfs-common. (Wed, 18 Nov 2009 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 18 Nov 2009 15:48:06 GMT) Full text and rfc822 format available.

Message #34 received at 441361@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@main.uusia.org>
To: 441361@bugs.debian.org
Cc: Ivan Shmakov <oneingray@gmail.com>, debian-ipv6@lists.debian.org
Subject: Re: Bug#441361: no support for NFS (v3) mount over IPv6?
Date: Wed, 18 Nov 2009 21:40:28 +0600
>>>>> "SHG" == Steinar H Gunderson <sgunderson@bigfoot.com> writes:

[...]

 IS> But mount.nfs doesn't find AAAA records for hosts, and it also
 IS> can't parse numeric IPv6 addresses on account of all the colons.

 SHG> For the bug reference, preliminary IPv6-supporting packages
 SHG> (client side only)

	I've got it.  Sigh.  I had some big plans for it.  (Perhaps I
	should change the Debian GNU/Linux server to something like
	OpenSolaris?  Just kidding, of course.)

	And also:

http://article.gmane.org/gmane.linux.nfs/29288
http://article.gmane.org/gmane.linux.nfs/29294

--cut: http://article.gmane.org/gmane.linux.nfs/29294 --

Server side in the kernel is nearly done.  There are a handful of  small
patches outstanding.  Until I have mountd working, there's no  way to
test the server side pieces thoroughly.  So for now,  "completion" of
the server side is some time in the future.

> + userspace support
>  - nfsd support has already been added but disabled temporarily till
>    we get statd and mountd IPv6 aware.
>  - making statd IPv6 aware is currently under development/review.

Basic support is code complete and has seen some testing.  We're
waiting for upstream NFS maintainers to review the latest patch series.

>  - mount.nfs changes - done?

The netid changes mentioned above will require some mount.nfs support,
which is in the works.  2.6.33, maybe?

>  - rpc.mountd, exportfs changes - TBD.

These are the next step.  This is going to be a fairly heavy-weight
change -- mountd and exportfs internals are unsuited for
internationalized domain names, IPv6, and mixed IPv4/IPv6  environments,
and will need to be replaced.

[...]

rpcbind and libtirpc are also prerequisites, but there are few
distributions I know of that have replaced portmapper with rpcbind.

> How far we are from getting full IPv6 support?

The short answer is mountd/exportfs will take about six months.  The
client side is close enough that I think we can promise basic IPv6
support for upcoming enterprise releases.  We're also thinking the
kernel work on the server is close enough that few or no kABI changes
will be needed once mountd is working, but that's just a guess.

--cut: http://article.gmane.org/gmane.linux.nfs/29294 --

-- 
FSF associate member #7257




Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:49 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#441361; Package nfs-common. (Sun, 12 Dec 2010 13:30:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Schwardt <debianbugs@never.b0rk.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sun, 12 Dec 2010 13:30:52 GMT) Full text and rfc822 format available.

Message #43 received at 441361@bugs.debian.org (full text, mbox):

From: Sebastian Schwardt <debianbugs@never.b0rk.de>
To: 441361@bugs.debian.org
Subject: Re: #441361
Date: Sun, 12 Dec 2010 13:53:36 +0100
Hi,

a recent version of nfs-utils (1.2.3) and a recent kernel (2.6.36) and
rpcbind and libtirpc makes ipv6 mounts possible.

So how about a new package of the current upstream version?

kind regards,

Sebastian




Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Sun, 27 Mar 2011 17:33:13 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Sun, 27 Mar 2011 17:33:13 GMT) Full text and rfc822 format available.

Message #48 received at 441361-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 441361-close@bugs.debian.org
Subject: Bug#441361: fixed in nfs-utils 1:1.2.3-1
Date: Sun, 27 Mar 2011 17:32:11 +0000
Source: nfs-utils
Source-Version: 1:1.2.3-1

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive:

nfs-common_1.2.3-1_i386.deb
  to main/n/nfs-utils/nfs-common_1.2.3-1_i386.deb
nfs-kernel-server_1.2.3-1_i386.deb
  to main/n/nfs-utils/nfs-kernel-server_1.2.3-1_i386.deb
nfs-utils_1.2.3-1.debian.tar.bz2
  to main/n/nfs-utils/nfs-utils_1.2.3-1.debian.tar.bz2
nfs-utils_1.2.3-1.dsc
  to main/n/nfs-utils/nfs-utils_1.2.3-1.dsc
nfs-utils_1.2.3.orig.tar.bz2
  to main/n/nfs-utils/nfs-utils_1.2.3.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Mar 2011 18:54:45 +0200
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: source i386
Version: 1:1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Closes: 441361 474037 528939 560388 585085 610363 612933
Changes: 
 nfs-utils (1:1.2.3-1) unstable; urgency=low
 .
   * New upstream release
     - 7-remove-duplicate-exports-paragraphs : removed
     - 12-svcgssd-document-n-option: updated
     - 14-allow-address-without-name : removed
     - 15-mountd-fix-path-comparison-for-v4-crossmnt : removed
     - 16-mount.nfs.man-nfs.man-update-distinction-between-fstypes:
       part about nfs.man removed and
       renamed to 16-mount.nfs.man-update-distinction-between-fstypes
     - mountd: fix --manage-gids hang due to int/uint bug (0f05c8a)
       (Closes: #528939,585085)
     - mount.nfs: Don't do anything fancy if this is a remount (f11547f)
       (Closes: #612933)
     - mount: Mount should retry unreachable hosts (5a355f4)
       (Closes: #560388)
     - Try to use kernel function to determine supported Kerberos
       enctypes (258f10f) (Closes: #474037)
     - nfs-common: Add Recommends python for mountstats and nfsiostat
   * Make sure everything is shipped (inspired by #594933)
   * nfs-common.init: Enable idmapd by default (Closes: #610363)
   * Install bug scripts to ease debuging
   * Build depend on libtirpc-dev and enable IPv6 (Closes: #441361)
Checksums-Sha1: 
 73c798e75ea2383ff52b35d1f4a126eff4f75096 1486 nfs-utils_1.2.3-1.dsc
 da70a29191b07056d71b6e427a87d5cfd8628523 672759 nfs-utils_1.2.3.orig.tar.bz2
 6250529f8d059b1a8ac41c6af07994869108bb74 34766 nfs-utils_1.2.3-1.debian.tar.bz2
 6f28acf65cd986b44f2b2d8636317cc3053b943b 153014 nfs-kernel-server_1.2.3-1_i386.deb
 56b5a8ab3eca6f10c779c4708a787e4b2fadac78 238680 nfs-common_1.2.3-1_i386.deb
Checksums-Sha256: 
 9f073630b852082d8a8a9fcc44d9862453b25f21837ffd9d88c207bc8cf4049f 1486 nfs-utils_1.2.3-1.dsc
 5575ece941097cbfa67fbe0d220dfa11b73f5e6d991e7939c9339bd72259ff19 672759 nfs-utils_1.2.3.orig.tar.bz2
 3e5d5fa173ecf8597d996565ca6a2932a7b0a4ea9ef3197e46bbb3d527a3ccdd 34766 nfs-utils_1.2.3-1.debian.tar.bz2
 5126b4374a789d9ad3f9d817eb1e558931914edfe177660cf981d760d04d016d 153014 nfs-kernel-server_1.2.3-1_i386.deb
 07b68d201ef9d8668a839d8c533bef4205d04f6215c84a45f1f102cba060cd76 238680 nfs-common_1.2.3-1_i386.deb
Files: 
 72abcfe642257f0579d14c54590ae8f8 1486 net standard nfs-utils_1.2.3-1.dsc
 1131dc5f27c4f3905a6e7ee0d594fd4d 672759 net standard nfs-utils_1.2.3.orig.tar.bz2
 d9de93233d39669b2207ea9694911630 34766 net standard nfs-utils_1.2.3-1.debian.tar.bz2
 aa9e1a2f770d8a9855793535d89f59c3 153014 net optional nfs-kernel-server_1.2.3-1_i386.deb
 81790c7ffec2ccc3ad713d23802f1d96 238680 net standard nfs-common_1.2.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2PcJMACgkQ5UTeB5t8Mo3DxACePOeosewmAxKKFFn3zNz27xMe
nS8AnRfvi7XjUIgmeJxvc7WAKvK7Q6Fp
=fo5P
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 May 2011 07:34:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:28:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.